import { aws_s3 as s3, aws_lambda, aws_secretsmanager as secretsmanager } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface PythonApiIngestToS3Props {
    readonly codeSource: string;
    readonly handler: string;
    readonly ingestBucket: s3.Bucket;
    readonly secrets?: (secretsmanager.Secret | secretsmanager.ISecret)[] | undefined;
    readonly runtime?: aws_lambda.Runtime | undefined;
    readonly envVars?: {
        [key: string]: string;
    } | undefined;
}
export declare class PythonApiIngestToS3 extends constructs.Construct {
    function: aws_lambda.Function;
    constructor(scope: constructs.Construct, id: string, props: PythonApiIngestToS3Props);
}
