import { aws_dynamodb as dynamo } from 'aws-cdk-lib';
import * as constructs from 'constructs';
/** Properties for the Createing the CoreWan Policy Table*/
export interface PolicyTableProps {
    /**
       * the name of the core
       */
    coreName: string;
    /**
     * By default a Backup Vault is created, for the dynamo table.
     * However for Lab/test situations that results in left over resources in a destroy
     */
    noTableBackup?: boolean | undefined;
}
/**
 * Create a DynamoDB table and associated lambdas to contain the objects that are contained in the Cloudwan Core Network.
 * Do not call this class directly, it is called by CoreNetwork
 */
export declare class CloudWanCorePolicyTable extends constructs.Construct {
    readonly serviceToken: string;
    readonly policyTable: dynamo.Table;
    constructor(scope: constructs.Construct, id: string, props: PolicyTableProps);
}
