import { aws_glue as glue, aws_secretsmanager as secretsmanager } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export declare enum ConnectionType {
    JDBC = "JDBC",
    KAFKA = "KAFKA",
    MONGODB = "MONGODB",
    NETWORK = "NETWORK",
    MARKETPLACE = "MARKETPLACE",
    CUSTOM = "CUSTOM"
}
export interface JDBCProperties {
    readonly host: string;
    readonly port: number;
    readonly url: string;
    readonly secret: secretsmanager.Secret;
    readonly ssl: {
        enforceSSL: boolean;
    };
}
export interface ConnectionProps {
    connectionType: ConnectionType;
    jdbcProperties?: JDBCProperties;
}
export declare class Connection extends constructs.Construct {
    connection: glue.CfnConnection;
    constructor(scope: constructs.Construct, id: string, props: ConnectionProps);
}
