import { aws_s3 as s3, aws_sqs as sqs } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface S3Path {
    readonly bucket: s3.Bucket;
    readonly path: string;
}
export interface IS3TargetObject {
    connectionName?: string;
    dlqEventQueueArn?: string;
    eventQueueArn?: string;
    exclusions?: string[];
    path: string;
    sampleSize?: number;
}
export interface S3TargetProps {
    readonly path: S3Path;
    readonly exclusions?: string[];
    readonly connectionName?: string;
    readonly sampleSize?: number;
    readonly eventQueue?: sqs.Queue;
    readonly dlqEventQueue?: sqs.Queue;
}
export declare class S3Target extends constructs.Construct {
    target: IS3TargetObject;
    s3Arn: string;
    constructor(scope: constructs.Construct, id: string, props: S3TargetProps);
}
