import { aws_glue, aws_iam as iam } from 'aws-cdk-lib';
import * as constructs from 'constructs';
import * as glue from '../index';
export interface AddCrawlerProps {
    readonly name: string;
    readonly role: iam.Role;
    readonly s3Targets?: glue.S3Target[] | undefined;
    readonly jdbcTargets?: glue.JDBCTarget[];
    readonly description?: string | undefined;
}
export interface DataBaseProps {
    readonly databaseName: string;
}
export declare class GlueDataBase extends constructs.Construct {
    database: aws_glue.CfnDatabase;
    databaseName: string;
    constructor(scope: constructs.Construct, id: string, props: DataBaseProps);
    addCrawler(props: AddCrawlerProps): glue.Crawler;
}
