import * as cdk from 'aws-cdk-lib';
import { aws_ec2 as ec2 } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface PowerBIGateway {
    readonly hostname: string;
    readonly instancetype: ec2.InstanceType;
    readonly cfgSecretArn: string;
}
export interface PowerBIGatewayZooProps extends cdk.StackProps {
    readonly vpc: ec2.Vpc | ec2.IVpc;
    readonly subnet: ec2.SubnetSelection;
    readonly gateways: PowerBIGateway[];
    readonly r53zoneID: string;
    readonly deployAssetsPath: string;
    readonly initscript: string;
}
export declare class PowerBIGatewayZoo extends cdk.Stack {
    constructor(scope: constructs.Construct, id: string, props: PowerBIGatewayZooProps);
}
